Index: ow/templates/signup.pt
===================================================================
--- ow/templates/signup.pt	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ ow/templates/signup.pt	(revision 5ec3a0b5cf5640304a0953320daef2a28bbca9a5)
@@ -12,5 +12,5 @@
       <!-- Login -->
 
-      <div class="login-content">
+      <div class="signup-content">
 
         <form method="post" name="signup" action="">
@@ -18,51 +18,46 @@
           <fieldset>
             <div>
+              ${form.errorlist('username')}
+              <label for="username" i18n:translate="">Username</label>
+              <input placeholder="Choose a cool username" type="text"
+                     name="username" value="" i18n:attributes="placeholder">
+            </div>
+
+            <div>
+              ${form.errorlist('email')}
               <label for="email" i18n:translate="">Email</label>
               <input placeholder="We need a valid email address"
                      type="text" name="email"
-                     value="" i18n:attributes="placeholder"
-                     tal:attributes="value form.data.get('email', '')">
-              ${form.errorlist('email')}
-
+                     value="" i18n:attributes="placeholder">
             </div>
             <div>
-              <label for="nickname" i18n:translate="">Nickname</label>
-              <input placeholder="Choose a cool nickname" type="text"
-                     name="nickname" value=""
-                     i18n:attributes="placeholder"
-                     tal:attributes="value form.data.get('nickname', '')">
-              ${form.errorlist('nickname')}
+              ${form.errorlist('firstname')}
+              <label for="firstname" i18n:translate="">First name</label>
+              <input placeholder="Your real first name here" type="text"
+                     name="firstname" value="" i18n:attributes="placeholder">
             </div>
             <div>
-              <label for="firstname" i18n:translate="">First name</label>
-              <input placeholder="Your real first name here" type="text"
-                     name="firstname" value="" i18n:attributes="placeholder"
-                     tal:attributes="value form.data.get('firstname', '')">
-              ${form.errorlist('firstname')}
+              ${form.errorlist('lastname')}
+              <label for="lastname" i18n:translate="">Last name</label>
+              <input placeholder="Your family name here" type="text"
+                     name="lastname" value="" i18n:attributes="placeholder">
             </div>
             <div>
-              <label for="lastname" i18n:translate="">Last name</label>
-              <input placeholder="Your family name here" type="text"
-                     name="lastname" value="" i18n:attributes="placeholder"
-                     tal:attributes="value form.data.get('lastname', '')">
-              ${form.errorlist('lastname')}
-            </div>
-            <div>
+              ${form.errorlist('password')}
               <label for="password" i18n:translate="">Password</label>
               <input placeholder="More than 9 characters, numbers and/or symbols"
                      name="password"
                      type="password" i18n:attributes="placeholder">
-              ${form.errorlist('password')}
             </div>
+
             <div>
+              ${form.errorlist('password_confirm')}
               <label for="password_confirm" i18n:translate="">Password (confirm)</label>
               <input placeholder="Confirm your password" name="password_confirm"
                      type="password" i18n:attributes="placeholder">
-              ${form.errorlist('password_confirm')}
             </div>
           </fieldset>
 
-          <input class="button button-action" type="submit" name="submit" value="Sign up!"
-                 i18n:attributes="value">
+          <input class="button" type="submit" name="submit" value="Sign up!">
 
         </form>
